dockStatusId. Use this ID to call the Get Dock Status API and verify the status of the tool import process.
| Method | POST |
|---|---|
| Endpoint | https://{host}/api/public/tools/:{toolId}/import |
| Content Type | application/json |
| Authorization | X-api-key - The API key used for authentication. |
Query Parameters
| PARAMETER | DESCRIPTION | TYPE | REQUIRED/OPTIONAL |
|---|---|---|---|
| host | The environment URL. For example, https://agent-platform.domain.ai/ | String | Required |
| toolId | The tool ID of the tool being imported | String | Required |
Sample Request
Body Parameters
| PARAMETER | DESCRIPTION | TYPE | REQUIRED/OPTIONAL |
|---|---|---|---|
| toolDataFileId | The identifier for the tool data file being imported. | String | Required |
| flowDataFileId | The identifier for the flow data file. | String | Required |
| envVariablesFileId | The identifier for the environment variables file. | String | Required |
Sample Response
Response Parameters
| PARAMETER | DESCRIPTION | TYPE | SAMPLE VALUE |
|---|---|---|---|
| dockStatusId | The unique identifier to track the status of action. for example import, export, deploy, etc. | String | for example, ds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8 |
| toolId | The unique identifier for the tool. | String | for example, a-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6 |
| jobType | The type of job being performed. | String | TOOLS |
| action | The action being performed on the tool/model. | String | IMPORT |
| status | The current status of the job. | String | IN_PROGRESS, SUCCESS, or FAILED |